﻿using UnityEngine;

namespace Assets.Scripts.Entities
{
    public class Drum: MonoBehaviour
    {
        public float DrumBonusFuel;

        private Animator _animator;

        private void Awake()
        {
            _animator = GetComponent<Animator>();
        }

        public void OnTriggerEnter(Collider other)
        {
            if(other.transform.root.tag == Tags.Player)
            {
                other.transform.root.GetComponent<PlayerContoller>().CurrentFuel += DrumBonusFuel;
                GameObject.Destroy(this.gameObject);
            }
        }
    }
}
