﻿using System.Collections;
using System.Collections.Generic;
using Assets.Scripts.Triggers;
using UnityEngine;

public class HomeIsland : MonoBehaviour, ISegment
{
    public AudioClip winsound;
    AudioSource audioSource;

    private GameManager gameManager;

    void Start()
    {
        audioSource = GetComponent<AudioSource>();
        gameManager = GameObject.FindGameObjectWithTag(Tags.GameManager).GetComponent<GameManager>();
    }

    void Update()
    {
    }

    public void OnSegmentEnter(Collider other)
    {
        if (other.transform.root.tag == Tags.Player)
        {
            Debug.Log("JEST KURWA ! DOTARŁEŚ do CHAŁPY.");
            audioSource.PlayOneShot(winsound, 0.7F);
            gameManager.Success();
        }
    }

    public void OnSegmentExit(Collider other)
    {
    }

    void OnCollisionEnter(Collision collision)
    {
        if (collision.gameObject.tag == Tags.Player)
        {
            // Kolizja z wyspą domem.
        }
    }
}
