﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Video;
using UnityEngine.SceneManagement;

public class IntroScript : MonoBehaviour
{

    public VideoPlayer player; 

    // Start is called before the first frame update
    void Start()
    {
        player.loopPointReached += EndReached;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetButton("Cancel"))
        {
            SceneManager.LoadScene("MenuScene");
        }
    }

    void EndReached(VideoPlayer vp)
    { 
        SceneManager.LoadScene("MenuScene");
    }
}
