﻿using Assets.Scripts.Triggers;
using Assets.Scripts.Values;
using UnityEngine;

public class Island : MonoBehaviour
{
    private bool inCollision = false;

    void OnCollisionExit(Collision collision)
    {
        if (!inCollision)
        {
            return;
        }

        if (collision.gameObject.layer == LayerMask.NameToLayer("Players"))
        {
            inCollision = false;
        }
    }

    void OnCollisionEnter(Collision collision)
    {
        if (inCollision)
        {
            return;
        }

        if (collision.gameObject.layer == LayerMask.NameToLayer("Players"))
        {
            inCollision = true;

            var pc = collision.gameObject.GetComponent<PlayerContoller>();
            pc.Harm(HarmTypes.IslandCollision);
        }
    }
}
