﻿using UnityEngine;
using System.Collections;

public class LevelSpawn : MonoBehaviour {

	public GameObject currentMap;
	public float mapSize = 10.0f;

	private float mapHalfSize = 0.0f;

	void Start () {
	
		QualitySettings.vSyncCount = 1;
		Application.targetFrameRate = 60;

		mapHalfSize = mapSize * 0.5f;
	
		//spawn 4 map instances

		Instantiate(currentMap, new Vector3( -mapHalfSize, -10.0f, -mapHalfSize), Quaternion.identity);
		Instantiate(currentMap, new Vector3(  mapHalfSize, -10.0f, -mapHalfSize), Quaternion.identity);
		Instantiate(currentMap, new Vector3( -mapHalfSize, -10.0f,  mapHalfSize), Quaternion.identity);
		Instantiate(currentMap, new Vector3(  mapHalfSize, -10.0f,  mapHalfSize), Quaternion.identity);
	}

}
